"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const account_command_1 = require("../../account-command");
const services_1 = tslib_1.__importDefault(require("../../services"));
class AccountCreate extends account_command_1.WithPassphrase {
    async run() {
        this.spinner.start('Create account');
        const { data } = await this.executeAndCaptureError(services_1.default.account.id, services_1.default.account.tasks.create, {
            passphrase: await this.getPassphrase(),
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountCreate.description = 'Create a new account';
exports.default = AccountCreate;
