"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const account_command_1 = require("../../account-command");
const services_1 = tslib_1.__importDefault(require("../../services"));
class AccountDelete extends account_command_1.WithPassphrase {
    async run() {
        const { args } = this.parse(AccountDelete);
        this.spinner.start('Delete account');
        const { data } = await this.executeAndCaptureError(services_1.default.account.id, services_1.default.account.tasks.delete, {
            passphrase: await this.getPassphrase(),
            address: args.ADDRESS,
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountDelete.description = 'Delete an existing account';
AccountDelete.aliases = ['account:rm', 'account:destroy'];
AccountDelete.args = [{
        name: 'ADDRESS',
        required: true
    }];
exports.default = AccountDelete;
