"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const account_command_1 = require("../../account-command");
const services_1 = tslib_1.__importDefault(require("../../services"));
class AccountExport extends account_command_1.WithPassphrase {
    async run() {
        const { args } = this.parse(AccountExport);
        this.spinner.start('Export account');
        const { data } = await this.executeAndCaptureError(services_1.default.account.id, services_1.default.account.tasks.export, {
            passphrase: await this.getPassphrase(),
            address: args.ADDRESS,
        });
        if (!data) {
            this.error('account not found or passphrase does not match');
        }
        this.spinner.stop();
        this.styledJSON(data);
        return data;
    }
}
AccountExport.description = 'Export an existing account';
AccountExport.args = [{
        name: 'ADDRESS',
        required: true
    }];
exports.default = AccountExport;
