"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const account_command_1 = require("../../account-command");
const services_1 = tslib_1.__importDefault(require("../../services"));
class AccountImportPK extends account_command_1.WithPassphrase {
    async run() {
        const { args } = this.parse(AccountImportPK);
        this.spinner.start('Import account');
        const { data } = await this.executeAndCaptureError(services_1.default.account.id, services_1.default.account.tasks.importPK, {
            passphrase: await this.getPassphrase(),
            privateKey: args.PRIVATE_KEY,
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountImportPK.description = 'Import a account from a private key';
AccountImportPK.args = [{
        name: 'PRIVATE_KEY',
        description: 'Private key for your account',
        required: true,
    }];
exports.default = AccountImportPK;
