"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const account_command_1 = require("../../account-command");
const services_1 = tslib_1.__importDefault(require("../../services"));
class AccountImport extends account_command_1.WithPassphrase {
    async run() {
        const { args } = this.parse(AccountImport);
        this.spinner.start('Import account');
        const { data } = await this.executeAndCaptureError(services_1.default.account.id, services_1.default.account.tasks.import, {
            passphrase: await this.getPassphrase(),
            account: JSON.parse(args.ACCOUNT),
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountImport.description = 'Import a account';
AccountImport.args = [{
        name: 'ACCOUNT',
        description: 'Account saved from a previous account',
        required: true
    }];
exports.default = AccountImport;
