"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_ux_1 = require("cli-ux");
const account_command_1 = require("../../account-command");
const services_1 = tslib_1.__importDefault(require("../../services"));
class AccountList extends account_command_1.WithoutPassphrase {
    async run() {
        const { flags } = this.parse(AccountList);
        const { data } = await this.executeAndCaptureError(services_1.default.account.id, services_1.default.account.tasks.list);
        cli_ux_1.cli.table(data.addresses, {
            address: { header: 'ADDRESS', get: (x) => x },
        }, Object.assign({ printLine: this.log }, flags));
        return data;
    }
}
AccountList.description = 'List all existing accounts';
AccountList.aliases = ['account:ls'];
AccountList.flags = Object.assign({}, account_command_1.WithoutPassphrase.flags, cli_ux_1.cli.table.flags());
exports.default = AccountList;
