/// <reference types="node" />
import { flags } from '@oclif/command';
import { Readable, Writable } from 'stream';
import Command, { ServiceID } from '../../service-command';
export default class ServiceDeploy extends Command {
    static description: string;
    static flags: {
        env: flags.IOptionFlag<string[]>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static strict: boolean;
    static args: {
        name: string;
        description: string;
        default: string;
    }[];
    run(): Promise<ServiceID[]>;
    createTar(path: string): Readable;
    writeEnv(stream: Writable, envList: string[]): void;
    handleDeploymentResponse(x: any, resolve: (value: ServiceID) => void, reject: (reason: Error) => void): void;
    processUrl(url: string): Promise<string>;
}
