"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const service_command_1 = tslib_1.__importDefault(require("../../service-command"));
class ServiceDetail extends service_command_1.default {
    async run() {
        const { argv } = this.parse(ServiceDetail);
        const services = [];
        for (const arg of argv) {
            const { service } = await this.unaryCall('GetService', { serviceID: arg });
            services.push(service);
        }
        this.styledJSON(services);
        return services;
    }
}
ServiceDetail.description = 'Show details of a deployed service';
ServiceDetail.aliases = ['service:get'];
ServiceDetail.flags = Object.assign({}, service_command_1.default.flags);
ServiceDetail.strict = false;
ServiceDetail.args = [{
        name: 'SERVICE',
        required: true,
        description: 'Hash or Sid'
    }];
exports.default = ServiceDetail;
