"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_ux_1 = tslib_1.__importDefault(require("cli-ux"));
const service_command_1 = tslib_1.__importDefault(require("../../service-command"));
class ServiceList extends service_command_1.default {
    async run() {
        const { flags } = this.parse(ServiceList);
        const services = (await this.unaryCall('ListServices')).services;
        if (!services)
            return [];
        cli_ux_1.default.table(services, {
            hash: { header: 'HASH', get: x => x.definition.hash },
            sid: { header: 'SID', get: x => x.definition.sid },
            name: { header: 'NAME', get: x => x.definition.name },
            status: { header: 'STATUS', get: x => this.status(x.status) }
        }, Object.assign({ printLine: this.log }, flags));
        return services;
    }
}
ServiceList.description = 'List all deployed services';
ServiceList.aliases = ['service:ls'];
ServiceList.flags = Object.assign({}, service_command_1.default.flags, cli_ux_1.default.table.flags());
exports.default = ServiceList;
