/// <reference types="node" />
import { flags } from '@oclif/command';
import { Stream } from 'mesg-js/lib/service';
import Command from '../../service-command';
export interface Log {
    dependency: string;
    data: Buffer;
}
export default class ServiceLog extends Command {
    static description: string;
    static flags: {
        dependency: flags.IOptionFlag<string[]>;
        'no-events': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-results': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        event: flags.IOptionFlag<string[]>;
        task: flags.IOptionFlag<string[]>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    run(): Promise<Stream<Log>>;
    formatEvent(event: any): string;
    formatResult(result: any): string;
}
