"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const service_command_1 = tslib_1.__importDefault(require("../../service-command"));
class ServiceDeployNew extends service_command_1.default {
    async run() {
        const { args } = this.parse(ServiceDeployNew);
        this.spinner.start('Deploy service');
        return new Promise((resolve, reject) => {
            this.serviceAPI.Create({ definition: JSON.parse(args.SERVICE) }, (err, resp) => {
                if (err) {
                    reject(err);
                    this.spinner.stop(err);
                    return;
                }
                this.spinner.stop(`${resp.sid} (${resp.hash})`);
                resolve(resp.hash);
            });
        });
    }
}
ServiceDeployNew.description = 'Deploy a service';
ServiceDeployNew.flags = Object.assign({}, service_command_1.default.flags);
ServiceDeployNew.args = [{
        name: 'SERVICE',
        required: true,
        description: 'Service\'s definition. Use service:compile first to build service definition'
    }];
ServiceDeployNew.hidden = true;
exports.default = ServiceDeployNew;
