"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const service_command_1 = tslib_1.__importDefault(require("../../service-command"));
class ServiceStart extends service_command_1.default {
    async run() {
        const { argv } = this.parse(ServiceStart);
        this.spinner.start('Start service');
        for (const arg of argv) {
            this.spinner.status = arg;
            await this.unaryCall('StartService', { serviceID: arg });
        }
        this.spinner.stop(argv.join(', '));
        return argv;
    }
}
ServiceStart.description = 'Start a service';
ServiceStart.flags = Object.assign({}, service_command_1.default.flags);
ServiceStart.strict = false;
ServiceStart.args = [{
        name: 'SERVICE',
        required: true,
        description: 'Hash or Sid'
    }];
exports.default = ServiceStart;
