"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const service_command_1 = tslib_1.__importDefault(require("../../service-command"));
class ServiceStop extends service_command_1.default {
    async run() {
        const { argv } = this.parse(ServiceStop);
        this.spinner.start('Stop service');
        for (const arg of argv) {
            this.spinner.status = arg;
            await this.unaryCall('StopService', { serviceID: arg });
        }
        this.spinner.stop(argv.join(', '));
        return argv;
    }
}
ServiceStop.description = 'Stop a service';
ServiceStop.flags = Object.assign({}, service_command_1.default.flags);
ServiceStop.strict = false;
ServiceStop.args = [{
        name: 'SERVICE',
        required: true,
        description: 'Hash or Sid'
    }];
exports.default = ServiceStop;
