"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const service_command_1 = tslib_1.__importDefault(require("../../service-command"));
const delete_1 = tslib_1.__importDefault(require("./delete"));
const deploy_1 = tslib_1.__importDefault(require("./deploy"));
class ServiceValidate extends service_command_1.default {
    async run() {
        const { args, flags } = this.parse(ServiceValidate);
        this.spinner.start('Validate service');
        const envs = (flags.env || []).reduce((prev, value) => [...prev, '--env', value], []);
        const services = (await deploy_1.default.run([args.SERVICE_PATH, ...envs, '--silent']));
        const hashes = services.map(x => x.hash);
        await delete_1.default.run([...hashes, '--keep-data', '--confirm', '--silent']);
        this.spinner.stop('service is valid');
    }
}
ServiceValidate.description = 'Validate a service file. Check the yml format and rules.';
ServiceValidate.flags = Object.assign({}, service_command_1.default.flags, deploy_1.default.flags);
ServiceValidate.args = [{
        name: 'SERVICE_PATH',
        description: 'Path of the service',
        default: './'
    }];
exports.default = ServiceValidate;
