import { Command } from '@oclif/command';
import { Application, EventData, Stream } from 'mesg-js/lib/application';
declare type UNARY_METHODS = 'DeleteService' | 'GetService' | 'ListServices' | 'StartService' | 'StopService' | 'Info';
export interface ExecutionResult {
    data: any;
}
export default abstract class extends Command {
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    private _mesg;
    private _serviceAPI;
    readonly engineEndpoint: string;
    readonly mesg: Application;
    readonly serviceAPI: any;
    createClient(serviceName: string, dir: string, file: string, endpoint: string): any;
    readonly spinner: import("cli-ux").ActionBase | {
        start: () => void;
        stop: (message?: string | undefined) => void | null;
        status: null;
    };
    require(condition: any, errorMessage: string): void;
    log(message?: string, ...args: any[]): void;
    styledJSON(data: any): void;
    executeAndCaptureError(serviceID: string, taskKey: string, data?: object, tags?: string[]): Promise<ExecutionResult>;
    unaryCall(method: UNARY_METHODS, data?: object): Promise<any>;
    listenEvent(serviceID: string, event: string): Stream<EventData>;
}
export {};
