"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const root_command_1 = tslib_1.__importDefault(require("./root-command"));
const services_1 = tslib_1.__importDefault(require("./services"));
class default_1 extends root_command_1.default {
    status(s) {
        return ['unknown', 'stopped', 'starting', 'partial', 'running'][s];
    }
    async getAuthorizedServiceInfo(id, versionHash) {
        const list = await this.executeAndCaptureError(services_1.default.account.id, services_1.default.account.tasks.list);
        const { addresses } = list.data;
        this.require(addresses.length > 0, 'you have no accounts. please add an authorized account in order to deploy this service');
        const res = await this.executeAndCaptureError(services_1.default.marketplace.id, services_1.default.marketplace.tasks.isAuthorized, {
            id,
            versionHash,
            addresses
        });
        const { authorized, sid, source, type } = res.data;
        this.require(authorized, 'you have no authorized accounts. please add an authorized account in order to deploy this service');
        return { sid, source, type };
    }
}
default_1.flags = Object.assign({}, root_command_1.default.flags);
exports.default = default_1;
